- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes

# ResultIteratorBase Class Reference

Search for all occurrences

## Detailed Description

Definition at line 82 of file qtconcurrentresultstore.h.

`#include <qtconcurrentresultstore.h>`

Inheritance diagram for ResultIteratorBase:
[legend]

List of all members.

## Public Member Functions
| ResultIteratorBase ()
| ResultIteratorBase (QMap< int, ResultItem >::const_iterator _mapIterator, int _vectorIndex=0)
int | vectorIndex () const
int | resultIndex () const
ResultIteratorBase | operator++ ()
int | batchSize () const
void | batchedAdvance ()
bool | operator== (const ResultIteratorBase &other) const
bool | operator!= (const ResultIteratorBase &other) const
bool | isVector () const
bool | canIncrementVectorIndex () const
## Protected Attributes
QMap< int, ResultItem > ::const_iterator | mapIterator
int | m_vectorIndex

## Constructor & Destructor Documentation

ResultIteratorBase | ( |  | ) |

ResultIteratorBase | ( | QMap< int, ResultItem >::const_iterator | _mapIterator,
|  | int | _vectorIndex = `0`
| ) |  |

## Member Function Documentation

int vectorIndex | ( |  | ) | const

Search for all occurrences

int resultIndex | ( |  | ) | const

Search for all occurrences

ResultIteratorBase operator++ | ( |  | ) |

int batchSize | ( |  | ) | const

Search for all occurrences

void batchedAdvance | ( |  | ) |

Search for all occurrences

bool operator== | ( | const ResultIteratorBase & | other | ) | const

bool operator!= | ( | const ResultIteratorBase & | other | ) | const

bool isVector | ( |  | ) | const

Search for all occurrences

bool canIncrementVectorIndex | ( |  | ) | const

Search for all occurrences

## Member Data Documentation

QMap<int, ResultItem>::const_iterator mapIterator `[protected]`

Search for all occurrences

Definition at line 98 of file qtconcurrentresultstore.h.

int m_vectorIndex `[protected]`

Search for all occurrences

Definition at line 99 of file qtconcurrentresultstore.h.

The documentation for this class was generated from the following file:

- QtCore/qtconcurrentresultstore.h

ResultIteratorBase ResultIteratorBase ResultIteratorBase ResultIteratorBase ResultIteratorBase ResultIteratorBase ResultIteratorBase ResultIteratorBase ResultIteratorBase ResultIteratorBase
ResultIteratorBase ResultIteratorBase ResultIteratorBase ResultIteratorBase ResultIteratorBase ResultIteratorBase ResultIteratorBase ResultIteratorBase ResultIteratorBase ResultIteratorBase